@echo off
cls
color E1
:: ************************************************************************************
:: **   ClientBoot_HDD                                                               **
:: **                                                                                **
:: ************************************************************************************
:: *                                                                                  *
:: *  Steuerung des Bootverhaltens der Netzwerkclients                                *
:: *  - PXE-Boot (fr Cloningsvorgnge)                                               *
:: *  - HDD-Boot ("normaler" Start)                                                   *
:: *  - keine nderung der aktuellen Einstellung                                      *
:: *                                                                                  *
:: *  Version:      v.1.0                                                             *
:: *  Datum:        2013-05-25                                                        *
:: *  Author:       Erich Vonach                                                       *
:: *                IT-Regionalbetreuer Bludenz                                       *
:: *                                                                                  *
:: ************************************************************************************
cls
echo.
echo    ============================================================
echo    HDD-Boot wird eingeschaltet
echo    ============================================================
echo.
echo    Dieses Skript setzt fuer alle Netzwerkclients
echo    die BIOS-Einstellung "HDD" als erste Bootoption.   
echo.  
echo    ============================================================
echo.
echo.   
echo    Weiter mit "ja" plus ENTER    (andere Taste bricht ab)
echo.   
echo.
echo.
echo.
set /p AUSWAHL=HDD-Boot einschalten? 
echo. -------------------------------------------------------
if /i "%AUSWAHL%"=="ja" goto HDD
echo.
echo ... abgebrochen ...
ping -n 3 127.0.0.1 >nul
exit
rem -----Raus-----------------------

:HDD
set SourceDir=\\schule.aps\netlogon\AScripts\ClientBoot
del %PUBLIC%\Desktop\ClientBoot_HDD.txt
del %PUBLIC%\Desktop\ClientBoot_PXE.txt
del %SourceDir%\ClientBoot.bat
copy %SourceDir%\ClientBoot_HDD.bat %SourceDir%\ClientBoot.bat /Y
copy %SourceDir%\ClientBoot_HDD.txt %PUBLIC%\Desktop /Y
cls
color 2E
echo.
echo --------------------------
echo HDD-Boot wurde aktiviert !
echo --------------------------
echo.
pause