@REM --------------------------------------------------------------------------------------------
@REM   BEGINN - Vorgeschalteter Code wegen INSTALLPROG
@REM --------------------------------------------------------------------------------------------
@REM   KENNUNG:  VORSCHALTCODE-INSTALLPROG-2015-10-14
@REM --------------------------------------------------------------------------------------------
::
REM wird von StartPc.bat uebernommen
::
REM --------------------------------------------------------------------------------------------
REM   ENDE  - Vorgeschalteter Code wegen INSTALLPROG
REM --------------------------------------------------------------------------------------------



@echo off
SETLOCAL

::=============================================================================
:: Logonskript fuer mitAutologon und ohneAutologon   (Info: H. Pajnik)
::             ermoeglicht automatisiertes Anmelden
::             siehe Doku auf vobs.at
::             v.1.0 - Mai 2010
::             Ergaenzung fuer Doppelserver Juni 2010
::=============================================================================
::
:: ---Startverzeichnis-ermitteln-------------------------
pushd %~dp0
::        Verzeichnis, in dem die Batch aufgerufen wurde
set STARTDIR=%CD%
:: ------------Pfad korrigieren--------------------------
if "%startdir:~-1%"=="\" set startdir=%startdir:~0,-1%
:: Backslash am Ende wegschneiden
:: ------------------------------------------------------



::================================================
:: vvvvvvvvvv=====ANPASSEN=====vvvvvvvvvvvvvvvvvvv
::------------------------------------------------
::-----Variable auf Standard setzen---------------
set AUTOLOGON_DEFAULT=ohneAutologon
rem -- AUTOLOGON_DEFAULT ist fuer PC01 bis PC50
set AUTOLOGON_EDV1=mitAutologon
set AUTOLOGON_EDV2=mitAutologon
set AUTOLOGON_KLASSEN=mitAutologon
set AUTOLOGON_VSDOPPELSRV=ohneAutologon
rem -- AUTOLOGON_VSDOPPELSRV fuer Doppelserver
rem ----  PCVS01 bis PCVS50 fuer  Volksschule
rem ----  PC01   bis PC50   fuer  HS/PTS
::------------------------------------------------
::^^^^^^^^^^^^^===ANPASSEN=====^^^^^^^^^^^^^^^^^^^
::================================================
REM -- =ohneAutologon
REM -- =mitAutologon
REM -- OHNE Abstand nach dem Gleichheitszeichen 
::---------------------------------------------------------------
::
:: In den einzelnen Sektionen wird der Autologinwunsch dann an die
:: Variable LOGFLAG zugewiesen.
:: z.B: 
:: bei : set AUTOLOGON_EDV1 =ohneAutologon
:: wird LOGFLAG=AUTOLOGON_EDV1
:: und damit kein Autologin in EDV1  (EDV-Raum-1)
:: siehe unten
::===============================================================


::---------Aktuelle-Werte-holen---------------------------------------------------------------
REM 
REM Hole angepasste aktuelle Schuleinstellung fuer Autologon 
REM (ueberschreibt Vorgabe von oben)
REM Diese kann bequem per Benutzeroberflaeche geaendert werden
REM Bei Problemen "Autologon-GetSettings.bat" loeschen.
REM und die Schuleinstellung neu durchfuehren
REM
if exist "%startdir%\autologon-GetSettings.bat" call "%startdir%\autologon-GetSettings.bat"
::--------------------------------------------------------------------------------------------





::-------------------------------------------------------
::------- AutoLogonskript fuer vorgegebene Computer------
::-------------------------------------------------------
rem              -- alle Abfragen ueberspringen fuer ---
If /i  %computername%==SERVER         goto ENDE
if /i "%COMPUTERNAME:~0,6%"=="PCKONF" goto ENDE

rem              -- zu angepasstem Autologon fuer ---
if /i %COMPUTERNAME:~0,6%==PCEDV1 goto EDV1
if /i %COMPUTERNAME:~0,6%==PCEDV2 goto EDV2
if /i %COMPUTERNAME:~0,5%==PC_KL  goto KLASSEN
if /i %COMPUTERNAME:~0,5%==PC_KL  goto KLASSEN
if /i %COMPUTERNAME:~0,4%==PCVS   goto VSDOPPELSRV
rem -- erste 5 bzw. 6 Buchstaben des Computernamens herausschneiden

rem weiter zu Standard, wenn kein Sprung erfolgt ist



::================Begin-Standard==============================
::--------
:STANDARD
::--------
set LOGFLAG=%AUTOLOGON_DEFAULT%
REM Autologonwunsch setzen (siehe Dateianfang)
::
If /i %computername%==PC01 call :SetLogonUser %LOGFLAG% S01
If /i %computername%==PC02 call :SetLogonUser %LOGFLAG% S02
If /i %computername%==PC03 call :SetLogonUser %LOGFLAG% S03
If /i %computername%==PC04 call :SetLogonUser %LOGFLAG% S04
If /i %computername%==PC05 call :SetLogonUser %LOGFLAG% S05
If /i %computername%==PC06 call :SetLogonUser %LOGFLAG% S06
If /i %computername%==PC07 call :SetLogonUser %LOGFLAG% S07
If /i %computername%==PC08 call :SetLogonUser %LOGFLAG% S08
If /i %computername%==PC09 call :SetLogonUser %LOGFLAG% S09
If /i %computername%==PC10 call :SetLogonUser %LOGFLAG% S10
If /i %computername%==PC11 call :SetLogonUser %LOGFLAG% S11
If /i %computername%==PC12 call :SetLogonUser %LOGFLAG% S12
If /i %computername%==PC13 call :SetLogonUser %LOGFLAG% S13
If /i %computername%==PC14 call :SetLogonUser %LOGFLAG% S14
If /i %computername%==PC15 call :SetLogonUser %LOGFLAG% S15
If /i %computername%==PC16 call :SetLogonUser %LOGFLAG% S16
If /i %computername%==PC17 call :SetLogonUser %LOGFLAG% S17
If /i %computername%==PC18 call :SetLogonUser %LOGFLAG% S18
If /i %computername%==PC19 call :SetLogonUser %LOGFLAG% S19
If /i %computername%==PC20 call :SetLogonUser %LOGFLAG% S20
If /i %computername%==PC21 call :SetLogonUser %LOGFLAG% S21
If /i %computername%==PC22 call :SetLogonUser %LOGFLAG% S22
If /i %computername%==PC23 call :SetLogonUser %LOGFLAG% S23
If /i %computername%==PC24 call :SetLogonUser %LOGFLAG% S24
If /i %computername%==PC25 call :SetLogonUser %LOGFLAG% S25
If /i %computername%==PC26 call :SetLogonUser %LOGFLAG% S26
If /i %computername%==PC27 call :SetLogonUser %LOGFLAG% S27
If /i %computername%==PC28 call :SetLogonUser %LOGFLAG% S28
If /i %computername%==PC29 call :SetLogonUser %LOGFLAG% S29
If /i %computername%==PC30 call :SetLogonUser %LOGFLAG% S30
If /i %computername%==PC31 call :SetLogonUser %LOGFLAG% S31
If /i %computername%==PC32 call :SetLogonUser %LOGFLAG% S32
If /i %computername%==PC33 call :SetLogonUser %LOGFLAG% S33
If /i %computername%==PC34 call :SetLogonUser %LOGFLAG% S34
If /i %computername%==PC35 call :SetLogonUser %LOGFLAG% S35
If /i %computername%==PC36 call :SetLogonUser %LOGFLAG% S36
If /i %computername%==PC37 call :SetLogonUser %LOGFLAG% S37
If /i %computername%==PC38 call :SetLogonUser %LOGFLAG% S38
If /i %computername%==PC39 call :SetLogonUser %LOGFLAG% S39
If /i %computername%==PC40 call :SetLogonUser %LOGFLAG% S40
If /i %computername%==PC41 call :SetLogonUser %LOGFLAG% S41
If /i %computername%==PC42 call :SetLogonUser %LOGFLAG% S42
If /i %computername%==PC43 call :SetLogonUser %LOGFLAG% S43
If /i %computername%==PC44 call :SetLogonUser %LOGFLAG% S44
If /i %computername%==PC45 call :SetLogonUser %LOGFLAG% S45
If /i %computername%==PC46 call :SetLogonUser %LOGFLAG% S46
If /i %computername%==PC47 call :SetLogonUser %LOGFLAG% S47
If /i %computername%==PC48 call :SetLogonUser %LOGFLAG% S48
If /i %computername%==PC49 call :SetLogonUser %LOGFLAG% S49
If /i %computername%==PC50 call :SetLogonUser %LOGFLAG% S50
::
Goto ENDE
::========================Ende-Standard============================




::================Begin-VS-DEFAULT-fuer-DOPPELSERVER===============
::-----------
:VSDOPPELSRV
::-----------
set LOGFLAG=%AUTOLOGON_VSDOPPELSRV%
REM Autologonwunsch setzen (siehe Dateianfang)
::
If /i %computername%==PCVS01 call :SetLogonUser %LOGFLAG% VS01
If /i %computername%==PCVS02 call :SetLogonUser %LOGFLAG% VS02
If /i %computername%==PCVS03 call :SetLogonUser %LOGFLAG% VS03
If /i %computername%==PCVS04 call :SetLogonUser %LOGFLAG% VS04
If /i %computername%==PCVS05 call :SetLogonUser %LOGFLAG% VS05
If /i %computername%==PCVS06 call :SetLogonUser %LOGFLAG% VS06
If /i %computername%==PCVS07 call :SetLogonUser %LOGFLAG% VS07
If /i %computername%==PCVS08 call :SetLogonUser %LOGFLAG% VS08
If /i %computername%==PCVS09 call :SetLogonUser %LOGFLAG% VS09
If /i %computername%==PCVS10 call :SetLogonUser %LOGFLAG% VS10
If /i %computername%==PCVS11 call :SetLogonUser %LOGFLAG% VS11
If /i %computername%==PCVS12 call :SetLogonUser %LOGFLAG% VS12
If /i %computername%==PCVS13 call :SetLogonUser %LOGFLAG% VS13
If /i %computername%==PCVS14 call :SetLogonUser %LOGFLAG% VS14
If /i %computername%==PCVS15 call :SetLogonUser %LOGFLAG% VS15
If /i %computername%==PCVS16 call :SetLogonUser %LOGFLAG% VS16
If /i %computername%==PCVS17 call :SetLogonUser %LOGFLAG% VS17
If /i %computername%==PCVS18 call :SetLogonUser %LOGFLAG% VS18
If /i %computername%==PCVS19 call :SetLogonUser %LOGFLAG% VS19
If /i %computername%==PCVS20 call :SetLogonUser %LOGFLAG% VS20
If /i %computername%==PCVS21 call :SetLogonUser %LOGFLAG% VS21
If /i %computername%==PCVS22 call :SetLogonUser %LOGFLAG% VS22
If /i %computername%==PCVS23 call :SetLogonUser %LOGFLAG% VS23
If /i %computername%==PCVS24 call :SetLogonUser %LOGFLAG% VS24
If /i %computername%==PCVS25 call :SetLogonUser %LOGFLAG% VS25
If /i %computername%==PCVS26 call :SetLogonUser %LOGFLAG% VS26
If /i %computername%==PCVS27 call :SetLogonUser %LOGFLAG% VS27
If /i %computername%==PCVS28 call :SetLogonUser %LOGFLAG% VS28
If /i %computername%==PCVS29 call :SetLogonUser %LOGFLAG% VS29
If /i %computername%==PCVS30 call :SetLogonUser %LOGFLAG% VS30
If /i %computername%==PCVS31 call :SetLogonUser %LOGFLAG% VS31
If /i %computername%==PCVS32 call :SetLogonUser %LOGFLAG% VS32
If /i %computername%==PCVS33 call :SetLogonUser %LOGFLAG% VS33
If /i %computername%==PCVS34 call :SetLogonUser %LOGFLAG% VS34
If /i %computername%==PCVS35 call :SetLogonUser %LOGFLAG% VS35
If /i %computername%==PCVS36 call :SetLogonUser %LOGFLAG% VS36
If /i %computername%==PCVS37 call :SetLogonUser %LOGFLAG% VS37
If /i %computername%==PCVS38 call :SetLogonUser %LOGFLAG% VS38
If /i %computername%==PCVS39 call :SetLogonUser %LOGFLAG% VS39
If /i %computername%==PCVS40 call :SetLogonUser %LOGFLAG% VS40
If /i %computername%==PCVS41 call :SetLogonUser %LOGFLAG% VS41
If /i %computername%==PCVS42 call :SetLogonUser %LOGFLAG% VS42
If /i %computername%==PCVS43 call :SetLogonUser %LOGFLAG% VS43
If /i %computername%==PCVS44 call :SetLogonUser %LOGFLAG% VS44
If /i %computername%==PCVS45 call :SetLogonUser %LOGFLAG% VS45
If /i %computername%==PCVS46 call :SetLogonUser %LOGFLAG% VS46
If /i %computername%==PCVS47 call :SetLogonUser %LOGFLAG% VS47
If /i %computername%==PCVS48 call :SetLogonUser %LOGFLAG% VS48
If /i %computername%==PCVS49 call :SetLogonUser %LOGFLAG% VS49
If /i %computername%==PCVS50 call :SetLogonUser %LOGFLAG% VS50
::
Goto ENDE
::================ENDE-VS-DEFAULT-fuer-DOPPELSERVER================













::*****************************************************************
::*****************************************************************
:: ergaenzende Moeglichkeiten fuer grosse Schulen
::*****************************************************************
::*****************************************************************
::
::========BEGINN-INFO==============================================
REM ---------------------------------------------------------------
REM In den folgenden Abschnitten Zeilen ev. anpassen und erweitern:
REM 
REM Beispiel:
REM If /i %computername%==PCEDV101 call :SetLogonUser %LOGFLAG% S101
REM 
REM - wenn Computername dieses PCs gleich:    PCEDV101 ...
REM - setze als Standarduser dieses PCs  :    S101 ...
REM = Am PCEDV101 wird User S101 in den Anmeldedialog geschrieben
REM - Bei mitAutologon erfolgt auch die automatische Anmeldung
REM - Bei OhneAutologon wartet der PC beim Anmeldedialog.
REM - Unter "Anmelden an:" wird immer SCHULE eingetragen
REM ---------------------------------------------------------------
REM ======ENDE-INFO================================================





::================Begin-EDV1========================================
::--------
:EDV1
::--------
set LOGFLAG=%AUTOLOGON_EDV1%
REM Autologonwunsch setzen (siehe Dateianfang)
::
If /i %computername%==PCEDV1_L call :SetLogonUser %LOGFLAG% S126
::-Lehrer-PC-
If /i %computername%==PCEDV101 call :SetLogonUser %LOGFLAG% S101
If /i %computername%==PCEDV102 call :SetLogonUser %LOGFLAG% S102
If /i %computername%==PCEDV103 call :SetLogonUser %LOGFLAG% S103
If /i %computername%==PCEDV104 call :SetLogonUser %LOGFLAG% S104
If /i %computername%==PCEDV105 call :SetLogonUser %LOGFLAG% S105
If /i %computername%==PCEDV106 call :SetLogonUser %LOGFLAG% S106
If /i %computername%==PCEDV107 call :SetLogonUser %LOGFLAG% S107
If /i %computername%==PCEDV108 call :SetLogonUser %LOGFLAG% S108
If /i %computername%==PCEDV109 call :SetLogonUser %LOGFLAG% S109
If /i %computername%==PCEDV110 call :SetLogonUser %LOGFLAG% S110
If /i %computername%==PCEDV111 call :SetLogonUser %LOGFLAG% S111
If /i %computername%==PCEDV112 call :SetLogonUser %LOGFLAG% S112
If /i %computername%==PCEDV113 call :SetLogonUser %LOGFLAG% S113
If /i %computername%==PCEDV114 call :SetLogonUser %LOGFLAG% S114
If /i %computername%==PCEDV115 call :SetLogonUser %LOGFLAG% S115
If /i %computername%==PCEDV116 call :SetLogonUser %LOGFLAG% S116
If /i %computername%==PCEDV117 call :SetLogonUser %LOGFLAG% S117
If /i %computername%==PCEDV118 call :SetLogonUser %LOGFLAG% S118
If /i %computername%==PCEDV119 call :SetLogonUser %LOGFLAG% S119
If /i %computername%==PCEDV120 call :SetLogonUser %LOGFLAG% S120
If /i %computername%==PCEDV121 call :SetLogonUser %LOGFLAG% S121
If /i %computername%==PCEDV122 call :SetLogonUser %LOGFLAG% S122
If /i %computername%==PCEDV123 call :SetLogonUser %LOGFLAG% S123
If /i %computername%==PCEDV124 call :SetLogonUser %LOGFLAG% S124
If /i %computername%==PCEDV125 call :SetLogonUser %LOGFLAG% S125
::
goto ENDE
::================Ende-EDV1========================================






::================Begin-EDV2========================================
::--------
:EDV2
::--------
set LOGFLAG=%AUTOLOGON_EDV2%
REM Autologonwunsch setzen (siehe Dateianfang)
::
If /i %computername%==PCEDV2_L call :SetLogonUser %LOGFLAG% S215
::-Lehrer-PC-
If /i %computername%==PCEDV201 call :SetLogonUser %LOGFLAG% S201
If /i %computername%==PCEDV202 call :SetLogonUser %LOGFLAG% S202
If /i %computername%==PCEDV203 call :SetLogonUser %LOGFLAG% S203
If /i %computername%==PCEDV204 call :SetLogonUser %LOGFLAG% S204
If /i %computername%==PCEDV205 call :SetLogonUser %LOGFLAG% S205
If /i %computername%==PCEDV206 call :SetLogonUser %LOGFLAG% S206
If /i %computername%==PCEDV207 call :SetLogonUser %LOGFLAG% S207
If /i %computername%==PCEDV208 call :SetLogonUser %LOGFLAG% S208
If /i %computername%==PCEDV209 call :SetLogonUser %LOGFLAG% S209
If /i %computername%==PCEDV210 call :SetLogonUser %LOGFLAG% S210
If /i %computername%==PCEDV211 call :SetLogonUser %LOGFLAG% S211
If /i %computername%==PCEDV212 call :SetLogonUser %LOGFLAG% S212
If /i %computername%==PCEDV213 call :SetLogonUser %LOGFLAG% S213
::
goto ENDE
::================Ende-EDV2========================================






::================Begin-Klassen========================================
::--------
:KLASSEN
::--------
set LOGFLAG=%AUTOLOGON_KLASSEN%
REM Autologonwunsch setzen (siehe Dateianfang)
::
If /i %computername%==PC_KL101 call :SetLogonUser %LOGFLAG% S01
If /i %computername%==PC_KL102 call :SetLogonUser %LOGFLAG% S02
If /i %computername%==PC_KL103 call :SetLogonUser %LOGFLAG% S03
If /i %computername%==PC_KL104 call :SetLogonUser %LOGFLAG% S04
If /i %computername%==PC_KL105 call :SetLogonUser %LOGFLAG% S05
If /i %computername%==PC_KL201 call :SetLogonUser %LOGFLAG% S06
If /i %computername%==PC_KL202 call :SetLogonUser %LOGFLAG% S07
If /i %computername%==PC_KL203 call :SetLogonUser %LOGFLAG% S08
If /i %computername%==PC_KL204 call :SetLogonUser %LOGFLAG% S09
If /i %computername%==PC_KL205 call :SetLogonUser %LOGFLAG% S10
If /i %computername%==PC_KL206 call :SetLogonUser %LOGFLAG% S11
If /i %computername%==PC_KL301 call :SetLogonUser %LOGFLAG% S12
If /i %computername%==PC_KL302 call :SetLogonUser %LOGFLAG% S13
If /i %computername%==PC_KL303 call :SetLogonUser %LOGFLAG% S14
If /i %computername%==PC_KL304 call :SetLogonUser %LOGFLAG% S15
If /i %computername%==PC_KL305 call :SetLogonUser %LOGFLAG% S16
::
Goto ENDE
::================Ende-Klassen========================================







:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::-----------------------------------------------------------------------------------------------------
::----------SUBROUTINE-SETLOGONUSER--------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------
::-------------------------------------------------------------
REM %1% - Parameter 1: mit-ohne-Autologon
REM %2% - Parameter 2: Username
::-------------------------------------------------------------
:SetLogonUser
setlocal
::
set MYUSERNAME=%2%
set MYPASSWD=""
set REGFILE=logon%MYUSERNAME%.reg 
set AutoAdminLogon=0
set MYDOMAINNAME=SCHULE
set REGFILEPATH=\\schule.aps\netlogon\ohneAutologon\
if /i %1%==mitAutologon set AutoAdminLogon=1
if /i %1%==mitAutologon set REGFILEPATH=\\schule.aps\netlogon\mitAutologon\
::
::
REM --- reg Datei suchen und notfalls erzeugen und auf Server kopieren
if not exist %REGFILE% (
 REM -------Datei "logonUsername.reg" -erzeugen ------------------------------------------------------
 echo Windows Registry Editor Version 5.00                                          > %TEMP%\%REGFILE%
 echo.                                                                             >> %TEMP%\%REGFILE%
 echo [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon]   >> %TEMP%\%REGFILE%
 echo.                                                                             >> %TEMP%\%REGFILE%
 echo.                                                                             >> %TEMP%\%REGFILE%
 echo "AutoAdminLogon"="%AutoAdminLogon%"                                          >> %TEMP%\%REGFILE%
 echo "DefaultPassword"=%MYPASSWD%                                                 >> %TEMP%\%REGFILE%
 echo "DefaultDomainName"="%MYDOMAINNAME%"                                         >> %TEMP%\%REGFILE%
 echo "DefaultUserName"="%MYUSERNAME%"                                             >> %TEMP%\%REGFILE% 
 echo.                                                                             >> %TEMP%\%REGFILE% 
 echo "AltDefaultUserName"="%MYUSERNAME%"                                          >> %TEMP%\%REGFILE%
 echo "AltDefaultDomainName"="%MYDOMAINNAME%"                                      >> %TEMP%\%REGFILE%
 echo.                                                                             >> %TEMP%\%REGFILE%
 echo "CachePrimaryDomain"="%MYDOMAINNAME%"                                        >> %TEMP%\%REGFILE%
 echo.                                                                             >> %TEMP%\%REGFILE%
 REM -------Ende Datei erzeugen-----------------------------------------------------------------------
 regedit.exe /s %TEMP%\%REGFILE%
 ping -n 2 127.0.0.1 > nul
 rem  eine Sekunde Pause  
 del %TEMP%\%REGFILE%
)

REM ---vermurxtes Profil loeschen---------------------------------------------------
REM wenn ntuser.dat UND ntuser.man vorhanden ist
REM 
if exist "%systemdrive%\Dokumente und Einstellungen\%MYUSERNAME%\ntuser.man" (
  if exist "%systemdrive%\Dokumente und Einstellungen\%MYUSERNAME%\ntuser.dat" (
  echo Ganzer Profilordner des Users %MYUSERNAME% wird geloescht:
  rmdir "%systemdrive%\Dokumente und Einstellungen\%MYUSERNAME%\" /S /Q
  )
)

endlocal
goto :EOF
::------------------------------------------------------------------------------------------------------
::----------END-SUBROUTINE-SETLOGONUSER-----------------------------------------------------------------
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::



          

:ende
ENDLOCAL
POPD
