::-------snipp GetAllDateTimeInfos.bat ----- 
@echo off & setlocal
:: Ermittelt Datums/Zeitvariable aus dem CMD-Environment und stellt sie als Variablen bereit. 
:: Einschrnkung: Sollte schon NT oder hher sein. Deshalb die erste Zeile 
::            Ausgabe nur der "eigenen" Variablen ---> set "eigenevar"|find "eigenevar="
IF NOT "%OS%"=="Windows_NT" echo "%0 luft nur unter WinNT oder hher. Sorry." && GOTO :eof 

For %%i in ( %1 %2 %3 %4) Do ( 
If /i [%%i]==[/s] Endlocal 
If /i [%%i]==[/u] Endlocal 
If /i [%%i]==[/h] %0 /?
) 

SET "AllDateTimeVars=DateOrder KW OSKW DoW DoY cDoW DD TT MM JJ YY hh min ss ms" 
If /i [%1]==[/?] goto Syntax 

FOR %%i in (%AllDateTimeVars%) do @if defined %%i set "%%i=" 
:: Datum will ich OHNE Wochentag haben. Zwischenschritt mit INDate 

:: erweitert, Parameter erlaubt.. Param1=Datumswert;Param2=Zeit 
For %%i in (%1 %2 %3) Do If /i %%i==/u goto :Cleanup 
FOR /F "delims=" %%i in ('date/T') do Set "INDate=%%i" 
IF       defined time     set "INTime=%time%"
IF not defined INtime FOR /F "delims=" %%i in ('time/T') do Set "InTime=%%i" 

If NOT [%1]==[] If /i [%1] NEQ [/q] If /i [%1] NEQ [/s] set "INDate=%1" 
If NOT [%2]==[] If /i [%2] NEQ [/q] If /i [%2] NEQ [/s] set "INTime=%2" 

:: Die nchste Code-Zeile ndert nur dann etwas, wenn ein Wochentag mitgeliefert wird. 
:: Aus "Sa 01.10.2005" wird dann "01.10.2005" 
FOR /F "tokens=2" %%i in ("%INDate%") do Set "INDate=%%i"
:: Das Format "Mo, 13. Februar 2006" mit zwei Leerzeichen wrde NICHT funktionieren!
FOR /F "tokens=1-7 delims=:/.-, " %%i in ("%INDate% %INTime%") do ( 
     FOR /F "tokens=2-4 delims=/-,() skip=1" %%a in ('echo ^|date') do ( 
        for %%@ in ("DateOrder=%%a-%%b-%%c" "%%a=%%i" "%%b=%%j" "%%c=%%k" "hh=%%l" "min=%%m" "ss=%%n" "ms=%%o") do set %%@ 
          ) 
     ) 

For %%i in (ss ms) do if not defined %%i set "%%i=00" 
:: ----- Workaround wegen W2K-Formfeed-Bug: Kommata als Delimiter im VBS-Schnipsel-Output.
SET "vbsSnippet=%temp%\%random%.vbs"
echo If wscript.arguments.count = 1 Then dDate=wscript.arguments.item(0) Else dDate=Date>%vbssnippet% 
echo Wscript.Echo "x," ^& DatePart("ww",dDate,vbSunday,vbFirstFourDays) ^& "," ^&_>>%vbsSnippet% 
echo DatePart("ww",dDate) ^& "," ^& DatePart("w",dDate) ^& "," ^& DatePart("y",dDate)>>%vbsSnippet% 

for /F "delims=, tokens=2-5" %%a in ('cscript //nologo %vbsSnippet% %INDate%') do ( 
(Set "KW=%%a" ) && Rem Kalenderwoche nach verbreiteter Berechnung 
(Set "OSKW=%%b" ) && Rem Kalenderwoche nach Betriebssystemvorgaben nicht ber GUI nderbar! *lacht 
(Set "DoW=%%c" ) && Rem Day of Week 1=Sonntag, 2= Montag... bei meinen REG-Settings 
(Set "DoY=%%d" ) && Rem Day of Year, Kalendertag 
) 
del %vbssnippet%

:: Tag, Monat und Stunde mchte ich immer zweistellig haben, also mit fhrender "0" 
IF defined DD Set "DD=10%DD%" 
IF defined TT Set "TT=10%TT%" 
IF defined MM Set "MM=10%MM%" 
IF defined hh Set "hh=10%hh%" 

set "hh=%hh:~-2,2%" 
set "MM=%MM:~-2,2%"
:: ... und den Wochentag will ich auch, wenigstens in zwei Sprachen. 
IF defined DD ( 
set "DD=%DD:~-2,2%" 
IF %DoW%==1 Set "cDow=Sun" 
IF %DoW%==2 Set "cDow=Mon" 
IF %DoW%==3 Set "cDow=Tue" 
IF %DoW%==4 Set "cDow=Wed" 
IF %DoW%==5 Set "cDow=Thu" 
IF %DoW%==6 Set "cDow=Fri" 
IF %DoW%==7 Set "cDow=Sat" 
) 

IF defined TT ( 
set "TT=%TT:~-2,2%" 
IF %DoW%==1 Set "cDow=So" 
IF %DoW%==2 Set "cDow=Mo" 
IF %DoW%==3 Set "cDow=Di" 
IF %DoW%==4 Set "cDow=Mi" 
IF %DoW%==5 Set "cDow=Do" 
IF %DoW%==6 Set "cDow=Fr" 
IF %DoW%==7 Set "cDow=Sa" 

) 
:: alle 2-stelligen Jahre kleiner 39 werden zu 2001...2038 
:: alle 2-stelligen Jahre grer gleich 39 und kleiner gleich 99 werden zu 1939 bis 1999 

IF not defined YY goto YYskip 
IF %YY% LSS 39 set "YY=20%YY%" 
IF %YY% LEQ 99 set "YY=19%YY%" 
:YYskip 
If not defined JJ goto JJskip 
IF %JJ% LSS 39 set "JJ=20%JJ%" 
IF %JJ% LEQ 99 set "JJ=19%JJ%" 
:JJskip 

IF defined YY set "JJ=%YY%" 
IF defined JJ set "YY=%JJ%" 
IF defined DD Set "TT=%DD%" 
IF defined TT Set "DD=%TT%" 
:: Lass sehen, was wir haben....falls kein Parameter /q 
For %%i in (%1 %2 %3 %4) Do If /i %%i==/q goto cleanUp 

For %%i in (INDate INTime %AllDateTimeVars%) do @if defined %%i set %%i|find "%%i="

:cleanUp 
For %%i in (vbssnippet INTime INDate) Do Set "%%i=" 
goto :eof 

:Syntax 
ECHO\
ECHO\
ECHO Ermittelt strukturierte Informationen ber Datum und Zeit 
ECHO Angezeigt oder optional in Variablen gesetzt werden: 
ECHO %AllDateTimeVars% 
ECHO\ 
Echo Syntax: 
ECHO %~nx0 [Datum] [Zeit] [/s^|/u] [/q] [/?] 
ECHO\ 
ECHO Datum Datumswert wie vom System oder der Dir-Ausgabe geliefert. 
ECHO Default Systemdatum. 
ECHO Zeit Zeit wie vom System oder der Dir-Ausgabe geliefert. Default Systemzeit 
ECHO /s SET Setzt die oben genannten Umgebungsvariablen 
ECHO /u UNSET Lscht die gesetzten Umgebungsvariablen 
ECHO /q QUIET Unterdrckt die Bildschirmanzeige der ermittelten Werte 
ECHO\/^? Zeigt diese schne Hilfe 
Goto :eof 
::-------snapp GetAllDateTimeInfos.bat