:: --------
:: Hinweis: 
:: --------
:: Damit das Skript funktioniert,
:: mssen die 4 Dateien
:: 
:: "Schultag.cmd" (=diese Batchdatei)
:: "Datum.bat" (=Hilfsscript, um eine standardisierte Datumsvariable zu bekommen)
:: "ImmerFrei.txt" (=Textdatei mit den Datumseintraegen jener Tage, an denen nie Unterricht ist) und
:: "VariabelFrei.txt" (=Textdatei mit den Datumseintraegen, der variablen, schulfreien Tage)
:: im gleichen Verzeichnis liegen
:: 
:: Der Programmaufruf erfolgt mit Parmeter (der Parameter ist der Name der Batchdatei, die fuer den Fall, 
:: dass es sich nicht um einen schulfreien Tag handelt, ausgefhrt werden soll), also z. B.
:: \\schule.aps\netlogon\utilities\wol\Schultag.cmd AllePCsEDV1starten.bat
:: 
:: oder - wenn die auszufhrende Batchdatei in einem anderen Verzeichnis liegt:
:: \\schule.aps\netlogon\utilities\wol\Schultag.cmd \\schule.aps\dfs\APPs\XYZ\Start.bat
:: 
:: In den beiden Textdateien sind die Datumseintraege bis Schulajahr 2011/2012 (soweit bekannt) eingetragen
:: Es muessen nur noch die jeweiligen schuleigenen Eintrge (wie zB die autonomen Tage) in der Textdatei
:: "VariabelFrei.txt" entsprechend ergnzt werden (an welcher Stelle der Liste ist egal, wichtig ist nur das
:: richtige Datumsformat: TT.MM.JJJJ)
:: 
:: 
:: Das Skript wurde ausgiebig getestet,
:: Ich uebernehne jedoch keinerlei Haftung
:: fr eventuelle Probleme oder Datenverlust
::
:: D. KOEB
::
:: **********************************************************************************
@echo off

rem Verzeichnis aus dem die Batchdatei aufgerufen wird als akutelles Verzeichnis einstellen und als Variable STARTDIR setzen:
rem Bei Aufruf ueber UNC-Pfad kann dieser Befehl etwas Zeit in Anspruch nehmen
echo ... etwas Geduld, es geht gleich weiter ...
pushd %~dp0
set STARTDIR=%CD%
echo Das "Startverzeichnis" lautet: %STARTDIR%

Rem Datumswerte auslesen und standardisierte Datumsvaribale (unabhngig vom eingestellten Format des Systemdatums) erstellen
call Datum.bat /s /q
set datumneu=%TT%.%MM%.%JJ%
echo Das aktuelle Datum lautet: %datumneu%

Rem Variable datettmm (=Datum ohne Jahreszahl) erstellen:
set datettmm=%TT%.%MM%.

rem Variable "ImmerFrei" zuruecksetzen:
set ImmerFrei=

rem Nachsehen ob akutelles "abschnittenes" Datum in der Textdatei "ImmerFrei.txt" vor kommt:
for /f %%a in ('type "%STARTDIR%\ImmerFrei.txt" ^| findstr /i "%datettmm%"') do set ImmerFrei=true

Rem Wenn ja, dann:
if "%ImmerFrei%" == "true" echo Heute ist der %datettmm% Am %datettmm% ist jedes Jahr schulfrei: Japadapaduuuu!!!"
if "%ImmerFrei%" == "true" goto Ende

REM Wenn "ImmerFrei" ist "nicht wahr", dann erfolgt die Abfrage nach variablen freien Tagen (=goto VariabelFrei)
if not "%ImmerFrei%" == "true" goto VariabelFrei


:VariabelFrei
REM Dasselbe in gruen mit der Textdatei "VariabelFrei.txt":

set VariabelFrei=
for /f %%a in ('type "%STARTDIR%\VariabelFrei.txt" ^| findstr /i "%datumneu%"') do set VariabelFrei=true

Rem Wenn ja, dann:
if "%VariabelFrei%" == "true" echo "Heute ist der %datumneu%. Dieser Tag ist heuer schulfrei: Japadapaduuuu!!!"
if "%VariabelFrei%" == "true" goto Ende

REM Wenn "VariabelFrei" ist "nicht wahr", dann wird die Programmdatei, die als Parameter beim Batchdateistart mitgegeben wurde, gestartet (="%1"):
if not "%VariabelFrei%" == "true" echo "Heute ist ein Schultag!!"
if not "%VariabelFrei%" == "true" (call %1)


:Ende
popd